package org.apache.commons.lang3.builder;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Collection;
import org.apache.commons.lang3.ClassUtils;
import org.apache.commons.lang3.builder.ReflectionToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class RecursiveToStringStyle extends ToStringStyle {
  private static final long serialVersionUID = 1L;
  
  public void appendDetail(StringBuffer buffer, String fieldName, Object value) {
    if (!ClassUtils.isPrimitiveWrapper(value.getClass()) && 
      !String.class.equals(value.getClass()) && 
      accept(value.getClass())) {
      buffer.append(ReflectionToStringBuilder.toString(value, this));
    } else {
      super.appendDetail(buffer, fieldName, value);
    } 
  }
  
  protected void appendDetail(StringBuffer buffer, String fieldName, Collection<?> coll) {
    appendClassName(buffer, coll);
    appendIdentityHashCode(buffer, coll);
    appendDetail(buffer, fieldName, coll.toArray());
  }
  
  protected boolean accept(Class<?> clazz) {
    return true;
  }
}
